> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/users/get-user-contact-info-by-user-id-and-contact-info-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns the contact info of the user. GET https://api.awork.com/api/v1/users/{userId}/contactinfo/{contactInfoId} The user must be an admin or the creator or have `user-master-data:read` permissions. Reference: https://developers.awork.com/apiv1/users/get-user-contact-info-by-user-id-and-contact-info-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `userId` (string, required) — The id of the user. - `contactInfoId` (string, required) — The id of the contact info. ## Response ### 200 OK - `label` (string, optional, nullable) — The label of the contact info. Only necessary if type 'custom' is used. - `value` (string, optional, nullable) — The value of the contact info. - `type` (string, optional, nullable) — The type of the contact info. Possible values are: phone, email, address, messenger, social, urls. - `subType` (string, optional, nullable) — The subtype of the contact info, Possible values are: Phone: [ 'work', 'mobile', 'home', 'work Fax', 'fax', 'other' ] Email: [ 'work', 'private', 'other' ] address: [ 'work', 'home', 'other' ] Messenger: [ 'skype', 'whatsapp', 'other' ] social: [ 'facebook', 'twitter', 'xing', 'linkedIn', 'instagram', 'pinterest', 'other' ] urls: [ 'work', 'private', 'gitHub', 'other' ]. - `addressLine1` (string, optional, nullable) — The first Address line of the address. - `addressLine2` (string, optional, nullable) — The second address line of the contact info. - `zipCode` (string, optional, nullable) — The Zipcode of the contact info. - `city` (string, optional, nullable) — The city of the contact info. - `state` (string, optional, nullable) — The state of the contact info. - `country` (string, optional, nullable) — The 2 letter iso code of the country. - `isAddress` (boolean, optional) — Flags whether this contactinfo is an address or not. If its an address, the address fields are required. - `id` (string, optional) — The Id of the contact info. - `createdOn` (string, optional) — The creation date. - `createdBy` (string, optional, nullable) — The id of the user who created the entity. - `updatedOn` (string, optional) — The date when the entity was updated. - `updatedBy` (string, optional, nullable) — the id of the user who updated the entity. ## Errors ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Response** ```json { "label": null, "value": null, "type": "address", "subType": "work", "addressLine1": "Torstrasse 140", "addressLine2": "Hof A", "zipCode": "10119", "city": "Berlin", "state": null, "country": "DE", "isAddress": true, "id": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2024-01-15T09:30:00Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2024-01-15T09:30:00Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000" } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/users/userId/contactinfo/contactInfoId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```